        program addflags
c
c       add note flags to all lines in catalog, following merger of orb6 notes file
c       with that of WDS. Will have to do it again after int4 notes are merged
c
        character*10 wds(15000),wds1
        character*278 data,data1,data2
        character*1 note
c
        open(10,file='wdsnot.memo',status='UNKNOWN')
        open(11,file='orb6.master',status='UNKNOWN')
        open(12,file='orb6.master2',status='UNKNOWN')
c
        nwds=0
        do 100 n=1,2
  100   read(10,901) wds1
  901   format(a10)
c
  200   read(10,901,end=300) wds1
        if (wds1 .eq. '          ') go to 200
        nwds=nwds+1
        wds(nwds)=wds1
        go to 200
c
  300   write(6,991) nwds
  991   format(' nwds = ',i6)
c
        do 400 n=1,4
        read(11,902) data
  902   format(a278)
        write(12,902) data
  400   continue
c
  500   read(11,903,end=999) data1,note,data2,wds1
  903   format(a247,a1,a30,t20,a10)
        note=' '
        do 600 n=1,nwds
        if (wds1 .ne. wds(n)) go to 600
        note='n'
        go to 700
  600   continue
  700   write(12,904) data1,note,data2
  904   format(a247,a1,a30)
        go to 500
c
  999   stop
        end


